<?php
use Bitrix\Main\Localization\Loc;

if (!defined('B_PROLOG_INCLUDED') || B_PROLOG_INCLUDED !== true) {
    die();
}

IncludeModuleLangFile(__FILE__);

if ($params['WINDOW']) {
    require($_SERVER["DOCUMENT_ROOT"]."/bitrix/header.php");
}

switch ($params['ERROR']) {
    case 'OK': ?>
    <form action="<?= $params['ACTION_URL']; ?>" method="get" class="vtbpay-form mb-2">
        <?php foreach ($params['PARAMS'] as $name => $value): ?>
            <input type="hidden" name="<?= $name ?>" value="<?= $value ?>">
        <?php endforeach; ?>
        <p class="vtbpay-titlemb-2"><?=Loc::getMessage('VTB_TEMPLATE_PAYMENT_MADE_BY')?> "<b><?=Loc::getMessage('VTB_TEMPLATE_HANDLER_NAME')?></b>".</p>
        <p class="vtbpay-amount mb-2"><?=Loc::getMessage('VTB_TEMPLATE_AMOUNT_TO_PAY')?> <strong><?= $params['AMOUNT'] ?></strong></p>
        <input type="submit" value="<?=Loc::getMessage('VTB_TEMPLATE_NEXT_BUTTON')?>" class="vtbpay-btn btn btn-primary btn-sm mb-2">
        <p class="vtbpay-notice"><?=Loc::getMessage('VTB_TEMPLATE_REDIRECT_DESCRIPTION')?></p>
    </form>
<?php break; case 'CREDENTAIL': ?>
    <p class="vtbpay-error m-0"><?=Loc::getMessage('VTB_TEMPLATE_ERROR_CREDENTIAL')?></p>
<?php break; case 'REQUEST': ?>
    <p class="vtbpay-error m-0"><?=Loc::getMessage('VTB_TEMPLATE_ERROR_REQUEST')?></p>
<?php break; case 'GLOBAL': ?>
    <p class="vtbpay-error m-0"><?=Loc::getMessage('VTB_TEMPLATE_ERROR_GLOBAL')?></p>
<?php break; default: ?>
    <p class="vtbpay-error m-0"><?=Loc::getMessage('VTB_TEMPLATE_ERROR_DEFAULT')?></p>
<?php break;
}

if ($params['WINDOW']) {
    require($_SERVER["DOCUMENT_ROOT"]."/bitrix/footer.php");
}